<ion-content>
	<div class="page-wrapper">
		<div class="content">
			<div class="row">
				<div class="col-sm-12">
					<h4 class="page-title">
						Create Memberships
					</h4>
				</div>
			</div>
			<form>
				<app-alerts [error]="error" [success]="success"></app-alerts>
				<div class="card-box">
					<h3 class="card-title">Memberships skin</h3>
					<div class="row">
						<div class="col-md-12">
							<div class="profile-img-wrap">
								<img
									class="avatar"
									[src]="memberships.avatar ? memberships.avatar : './assets/img/memberthumb.jpg'  "
								/>
								<div class="fileupload btn">
									<span class="btn-text">Edit</span>
									<input
										name="avatar"
										class="upload"
										type="file"
										(change)="useAvatar($event)"
									/>
								</div>
							</div>
							<div class="profile-basic">
								<div class="row">
									<div class="col-md-12">
										<div class="form-group">
											<select2
												name="country"
												[data]="country"
												[width]="'100%'"
												[(ngModel)]="memberships.country"
												ngDefaultControl
												(valueChanged)="memberships.country = $event.value"
											></select2>
										</div>
									</div>
									<div class="col-sm-12">
										<div
											class="form-group form-focus"
											[ngClass]="memberships.title ? 'focused' : ''"
										>
											<label
												for="title"
												class="focus-label"
												>Membership Title</label
											>
											<input
												[(ngModel)]="memberships.title"
												type="text"
												class="form-control floating"
												name="title"
												required
											/>
										</div>
									</div>
									<div class="col-sm-6">
										<div
											class="form-group form-focus"
											[ngClass]="memberships.cost ? 'focused' : ''"
										>
											<label
												for="cost"
												class="focus-label"
												>Cost of Memberships</label
											>
											<input
												[(ngModel)]="memberships.cost"
												type="text"
												class="form-control floating"
												name="cost"
												required
											/>
											<div
												class="input-group-append link"
											>
												<span
													class="input-group-text"
													id="basic-addon2"
													>USD</span
												>
											</div>
										</div>
									</div>
									<div class="col-sm-6">
										<div
											class="form-group form-focus"
											[ngClass]="memberships.days ? 'focused' : ''"
										>
											<label
												for="days"
												class="focus-label"
												>Maximo de días</label
											>
											<input
												[(ngModel)]="memberships.days"
												type="text"
												class="form-control floating"
												name="days"
												required
											/>
											<div
												class="input-group-append link"
											>
												<span
													class="input-group-text"
													id="basic-addon2"
													>Dias Max</span
												>
											</div>
										</div>
									</div>
								</div>
							</div>
						</div>
					</div>
				</div>
				<div class="card-box">
					<h3 class="card-title">Memberships information</h3>
					<div class="row">
						<div class="col-md-12">
							<h4>Set Value</h4>
							<ng-container
								*ngFor="let item of setArray(setItems);let i = index"
							>
								<div
									class="container-fluid row"
									*ngIf="evaluateSkill(i)"
								>
									<div class="col-md-5">
										<div
											class="form-group form-focus"
											[ngClass]="memberships.skill[i].title ? 'focused' : ''"
										>
											<label for="" class="focus-label"
												>Select</label
											>
											<select
												[(ngModel)]="memberships.skill[i].title"
												class="form-control floating"
												name="select"
												id=""
												required
											>
												<option value="1"
													>Domicilio</option
												>
												<option value="2"
													>Hospital</option
												>
												<option value="3"
													>Clinica Privada</option
												>
											</select>
										</div>
									</div>
									<div class="col-md-5">
										<div
											class="form-group form-focus"
											[ngClass]="memberships.skill[i].hours ? 'focused' : ''"
										>
											<label for="" class="focus-label"
												>Hours</label
											>
											<input
												[(ngModel)]="memberships.skill[i].hours"
												type="number"
												step="8"
												max="24"
												min="0"
												class="form-control floating"
												name="hours"
												required
												(ngModelChange)="comprobateHours(memberships.skill[i].hours)"
											/>
											<div
												class="input-group-append link"
											>
												<span
													class="input-group-text"
													id="basic-addon2"
													>Hrs Max</span
												>
											</div>
										</div>
										<app-alerts
											[error]="errorHours"
										></app-alerts>
									</div>
									<div class="col-md-2">
										<div
											*ngIf="showPlus(i)"
											class="input-group-append link"
										>
											<span
												(click)="plusItem()"
												class="input-group-text"
												id="basic-addon2"
												>+</span
											>
										</div>
									</div>
								</div>
							</ng-container>
						</div>
						<div class="col-md-12">
							<div class="form-group">
								<label for="descriptions" class="focus-label"
									>Description</label
								>
								<textarea
									[(ngModel)]="memberships.description"
									class="form-control floating h-100"
									name="descriptions"
									rows="5"
								>
 {{memberships.description}} </textarea
								>
							</div>
						</div>
					</div>
				</div>
				<div class="text-center m-t-20">
					<button
						*ngIf="memberships.avatar &&
					
						memberships.country &&
					
						memberships.title &&
					
						memberships.cost &&
					
						memberships.days &&
						
						memberships.skill &&

						memberships.description
						"
						(click)="save()"
						class="btn btn-primary submit-btn"
						type="button"
					>
						Save
					</button>
				</div>
			</form>
		</div>
	</div>
</ion-content>
